## Script (Python) "prefs_mailhost_set"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=use_discussion=0, RESPONSE=None
##title=set mailhost prefs
##

REQUEST=context.REQUEST

portal = context.portal_url.getPortalObject()
use_discussion = not not use_discussion

if not REQUEST.has_key('show_quote'):
    REQUEST.set('show_quote', 0)

if use_discussion:
    if (not hasattr(portal, 'portal_discussion') or
        portal.portal_discussion.meta_type != 'ForumDiscussionTool'):
        try:
            portal.manage_delObjects('portal_discussion')
        except:
            pass
        addTool = portal.manage_addProduct['CMFBoard'].manage_addTool
        addTool('ForumDiscussionTool')
else:
    if (hasattr(portal, 'portal_discussion') and
        portal.portal_discussion.meta_type == 'ForumDiscussionTool'):
        try:
            portal.manage_delObjects('portal_discussion')
        except:
            pass
        addTool = portal.manage_addProduct['CMFDefault'].manage_addTool
        addTool('Default Discussion Tool')


if REQUEST.has_key('unique_emails'):
    if not hasattr(portal, 'portal_mailloader'):
        addTool = portal.manage_addProduct['CMFBoard'].manage_addTool
        addTool('CMFBoard Mail Loader')
else:
    try:
        portal.manage_delObjects('portal_mailloader')
    except:
        pass

properties = context.portal_properties.cmfboard_properties
properties.manage_changeProperties(REQUEST)

return ('success', context, {'portal_status_message': 'CMFBoard settings updated.'})
